# standard imports
import unittest

# local imports
from cic.ext.eth import CICEth

# tests imports
from tests.eth.base_eth import TestCICEthBase

class TestCICEthOffline(TestCICEthBase):

    def setUp(self):
        super(TestCICEthOffline, self).setUp()
        self.adapter = CICEth(self.chain_spec, self.resources, self.proofs)


    def test_offline_token_index(self):
        self.adapter.token_address = self.token_address
        v = self.adapter.process_token_index()
        self.assertEqual(self.adapter.outputs['token_index'][:8], '4420e486')


if __name__ == '__main__':
    unittest.main()
